commit:     844310a54088c9c6a17a519d8e9dfd6847ea6351
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Wed May 25 19:45:59 2016 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Wed May 25 19:46:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=844310a5

kde-base/systemsettings: Drop DEPEND on app-misc/strigi

Revision bump adds patch to build without strigi.

Package-Manager: portage-2.3.0_rc1

 .../systemsettings-4.11.22-strigi-removal.patch    |  35 +++++++
 .../systemsettings-4.11.22-r2.ebuild               | 108 +++++++++++++++++++++
 2 files changed, 143 insertions(+)

diff --git 
a/kde-base/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch 
b/kde-base/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch
new file mode 100644
index 0000000..e98387f
--- /dev/null
+++ b/kde-base/systemsettings/files/systemsettings-4.11.22-strigi-removal.patch
@@ -0,0 +1,35 @@
+diff -Naur kde-workspace-4.11.22.orig/CMakeLists.txt 
kde-workspace-4.11.22/CMakeLists.txt
+--- kde-workspace-4.11.22.orig/CMakeLists.txt  2015-08-12 09:03:15.000000000 
+0200
++++ kde-workspace-4.11.22/CMakeLists.txt       2016-05-25 21:17:36.503606974 
+0200
+@@ -20,12 +20,6 @@
+ 
+ option(WITH_XINERAMA "Xinerama support for multi-headed X displays" ON)
+ 
+-find_package(Strigi)
+-
+-set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and 
search support"
+-                       URL "http://strigi.sourceforge.net";
+-                       TYPE REQUIRED
+-                      )
+ 
+ find_package(ZLIB)
+ set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip 
compressed files and data streams"
+diff -Naur kde-workspace-4.11.22.orig/kcontrol/kfontinst/CMakeLists.txt 
kde-workspace-4.11.22/kcontrol/kfontinst/CMakeLists.txt
+--- kde-workspace-4.11.22.orig/kcontrol/kfontinst/CMakeLists.txt       
2015-08-12 09:03:15.000000000 +0200
++++ kde-workspace-4.11.22/kcontrol/kfontinst/CMakeLists.txt    2016-05-25 
21:18:13.023186175 +0200
+@@ -4,7 +4,6 @@
+     find_package(Qt4 REQUIRED)
+     find_package(Freetype REQUIRED)
+     find_package(Fontconfig REQUIRED)
+-    find_package(Strigi REQUIRED)
+     find_package(X11 REQUIRED)
+     macro_log_feature(X11_Xft_FOUND "libxft" "X FreeType interface library" 
"http://www.x.org"; FALSE "" "Font installer and font previews")
+     include(KDE4Defaults)
+@@ -40,7 +39,6 @@
+     add_subdirectory( lib ) 
+     add_subdirectory( dbus )
+     add_subdirectory( kcmfontinst ) 
+-    add_subdirectory( strigi-analyzer )
+     add_subdirectory( apps )
+     add_subdirectory( kio ) 
+     add_subdirectory( thumbnail )

diff --git a/kde-base/systemsettings/systemsettings-4.11.22-r2.ebuild 
b/kde-base/systemsettings/systemsettings-4.11.22-r2.ebuild
new file mode 100644
index 0000000..467c7b3
--- /dev/null
+++ b/kde-base/systemsettings/systemsettings-4.11.22-r2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+KMNAME="kde-workspace"
+OPENGL_REQUIRED="optional"
+VIRTUALX_REQUIRED="test"
+VIRTUALDBUS_TEST="true"
+inherit kde4-meta
+
+DESCRIPTION="System settings utility"
+HOMEPAGE+=" https://userbase.kde.org/System_Settings";
+IUSE="debug gtk +kscreen +usb"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+COMMONDEPEND="
+       dev-libs/glib:2
+       $(add_kdebase_dep kwin)
+       $(add_kdebase_dep libkworkspace)
+       media-libs/fontconfig
+       >=media-libs/freetype-2
+       >=x11-libs/libxklavier-3.2
+       x11-libs/libX11
+       x11-libs/libXcursor
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXft
+       x11-libs/libXi
+       x11-libs/libxkbfile
+       x11-libs/libXrandr
+       x11-libs/libXtst
+       opengl? ( virtual/opengl )
+       usb? ( virtual/libusb:0 )
+"
+DEPEND="${COMMONDEPEND}
+       x11-proto/kbproto
+       x11-proto/xextproto
+"
+RDEPEND="${COMMONDEPEND}
+       sys-libs/timezone-data
+       x11-apps/setxkbmap
+       x11-misc/xkeyboard-config
+       gtk? ( kde-misc/kde-gtk-config )
+       kscreen? ( kde-misc/kscreen:4 )
+       || ( $(add_kdebase_dep legacy-icons) 
>=kde-frameworks/oxygen-icons-5.19.0:5 )
+"
+
+KMEXTRA="
+       kcontrol/
+"
+KMEXTRACTONLY="
+       krunner/dbus/org.kde.krunner.App.xml
+       krunner/dbus/org.kde.screensaver.xml
+       ksmserver/screenlocker/dbus/org.kde.screensaver.xml
+       kwin/
+       libs/
+       plasma/
+"
+# fails to connect to a kded instance
+RESTRICT="test"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-kcm-randr.patch"
+)
+
+src_unpack() {
+       if use handbook; then
+               KMEXTRA+="
+                       doc/kcontrol
+                       doc/kfontview
+               "
+       fi
+
+       kde4-meta_src_unpack
+}
+
+src_prepare() {
+       eapply "${FILESDIR}/${P}-strigi-removal.patch"
+
+       sed -i -e 's/systemsettingsrc DESTINATION 
${SYSCONF_INSTALL_DIR}/systemsettingsrc DESTINATION ${CONFIG_INSTALL_DIR}/' \
+               systemsettings/CMakeLists.txt \
+               || die "Failed to fix systemsettingsrc install location"
+
+       sed -i -e '/kde4_install_icons/ s/^/#/' 
kcontrol/kfontinst/kio/CMakeLists.txt \
+               || die "Failed to disable icons"
+
+       kde4-meta_src_prepare
+}
+
+# FIXME: is have_openglxvisual found without screensaver
+src_configure() {
+       # Old keyboard-detection code is unmaintained,
+       # so we force the new stuff, using libxklavier.
+       local mycmakeargs=(
+               -DUSE_XKLAVIER=ON
+               -DWITH_LibXKlavier=ON
+               -DWITH_GLIB2=ON
+               -DWITH_GObject=ON
+               -DBUILD_KCM_RANDR=$(usex !kscreen)
+               -DWITH_OpenGL=$(usex opengl)
+               -DWITH_USB=$(usex usb)
+       )
+
+       kde4-meta_src_configure
+}

Reply via email to